aspose file tools*
The moose likes JBoss/WildFly and the fly likes html.ELFormTag problem Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "html.ELFormTag problem" Watch "html.ELFormTag problem" New topic
Author

html.ELFormTag problem

abhi jitnag
Greenhorn

Joined: Oct 17, 2010
Posts: 13

Hi all,
I am getting the following run time exception. Though I have place bothe struts.jar and struts-html-el.tld in WEB-INF/lib.

org.apache.jasper.JasperException: /pages/Login.jsp(55,0) Unable to load tag handler class "org.apache.strutsel.taglib.html.ELFormTag" for tag "html-el:form"
org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java:40)
org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:407)
org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:198)
org.apache.jasper.compiler.Parser.parseCustomTag(Parser.java:1224)
org.apache.jasper.compiler.Parser.parseElements(Parser.java:1449)
org.apache.jasper.compiler.Parser.parse(Parser.java:133)..........

Please suggest me to address it.
Jaikiran Pai
Marshal

Joined: Jul 20, 2005
Posts: 9318
    
109

Does struts.jar have the org.apache.strutsel.taglib.html.ELFormTag class? Or does it require some other jar?


[My Blog] [JavaRanch Journal]
abhi jitnag
Greenhorn

Joined: Oct 17, 2010
Posts: 13
Thanks for your reply.
I think struts-el-1.2.4.jar may be required. But I have solved the problem using the following jar and tld files.

struts.jar
struts-bean.tld struts-bean-el.tld
struts-html.tld struts-html-el.tld
struts-logic.tld struts-logic-el.tld
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: html.ELFormTag problem
 
Similar Threads
Does Simple Tag cna't contain scripting code?
HTTP Status 500 -org.apache.jasper.JasperException: /Success.jsp(35,52) quote symbol expected
org.apache.jasper.JasperException: File "/tags/struts-html" not found
Unable to load Applet in Tomcat 5.5.12
Unable to load Applet in Tomcat 5.5.12